.pomohli-jsme{
    position: relative;
    min-height: 580px;
    display: flex;
    align-items: center;
    overflow: hidden;
}

.pomohli-bg{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

/* tmavý filtr přes obrázek */
.pomohli-jsme::after{
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.521);
    z-index: 1;
}

.pomohli-content{
    position: relative;
    right: 15%;
    z-index: 2;
    max-width: 1100px;
    margin: 0 auto;
    color: #fff;
}

.pomohli-content h1{
    font-size: 60px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #fff;
}

.pomohli-content p{
    font-size: 20px;
    max-width: 420px;
}

/* =========================================================
    
========================================================= */

.stats-section{
    background:#E5DCD3;
    padding: 35px 20px;
    margin-bottom: 10px;
}

.stats-wrap{
    max-width:1100px;
    margin:0 auto;
    display:grid;
    grid-template-columns:repeat(3,1fr);
    text-align:center;
}

.stat{
    padding:15px 10px;
    position:relative;
}

.stat:not(:last-child)::after{
    content:"";
    position:absolute;
    right:0;
    top:20%;
    height:60%;
    width:1px;
    background:#d8d3cd;
}

.stat-icon{
    font-size:32px;
    margin-bottom:6px;
}

.stat-number{
    font-size:28px;
    font-weight:700;
    color: #000;
}

.stat-text{
    font-size:16px;
    color:#000;
}


/* =========================================================
    Third section
========================================================= */

.third-section-pomohli-jsme {
    padding: 50px 20px;
}

.third-section-pomohli-jsme-title {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 20px;
    font-size: 35px;
    letter-spacing: 0.15em;
    text-transform: uppercase;
    font-weight: bold;
    color: #000;
    margin: 0 0 40px 0;
}

.third-section-pomohli-jsme-title::before {
    content: "";
    width: 150px;
    height: 14px;
    display: block;
    background:
        linear-gradient(to left, rgba(0,0,0,1), rgba(0,0,0,0)) top / 150px 2px no-repeat,
        linear-gradient(to left, rgba(0,0,0,1), rgba(0,0,0,0)) bottom / 90px 2px no-repeat;
}

.third-section-pomohli-jsme-title::after {
    content: "";
    width: 150px;
    height: 14px;
    display: block;
    background:
        linear-gradient(to right, rgba(0,0,0,1), rgba(0,0,0,0)) top / 150px 2px no-repeat,
        linear-gradient(to right, rgba(0,0,0,1), rgba(0,0,0,0)) bottom / 90px 2px no-repeat;
}

.utulky-grid{
    max-width:1100px;
    margin:0 auto;
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
}

.utulek-card {
    background:#f5f5f5;
    border-radius:10px;
    overflow:hidden;
    text-align:center;
    box-shadow:0 6px 18px rgba(0,0,0,0.08);
}

.utulek-card img{
    width:100%;
    height:180px;
    object-fit:cover;
}

.utulek-card h3{
    font-size:20px;
    margin:15px 0 5px;
}

.utulek-card p{
    font-size:14px;
    color:#000;
    padding-bottom:20px;
}

/* =========================================================
    RESPONSIVE
========================================================= */

@media (min-width: 769px) and (max-width:900px){
    .pomohli-jsme {
        min-height: 420px;
    }
    
    .utulky-grid{
        grid-template-columns:2fr 2fr;
        gap:20px;
    }

    .pomohli-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        right: 0;
        text-align: center;
        width: 100%;
    }

    .pomohli-content h1 {
        font-size: 50px;
        text-align: center;
    }

    .pomohli-content p {
        font-size: 16px;
        text-align: center;
    }
}

@media (min-width: 480px) and (max-width:768px){

    .pomohli-jsme {
        min-height: 420px;
    }

    .pomohli-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        right: 0;
        text-align: center;
        width: 100%;
    }

    .pomohli-content h1 {
        font-size: 40px;
        text-align: center;
    }

    .pomohli-content p {
        font-size: 16px;
        text-align: center;
    }

    .stats-wrap{
        grid-template-columns:1fr 1fr;
        gap:20px;
    }

    .stat::after{
        display:none;
    }

    .utulky-grid{
        grid-template-columns:1fr;
        gap:20px;
    }

    .third-section-pomohli-jsme-title {
        font-size: 25px;
    }

    .stats-wrap {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
    }
}

@media (min-width: 350px) and (max-width:479px){
    .pomohli-jsme {
        min-height: 420px;
    }

    .pomohli-content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        right: 0;
        text-align: center;
        width: 100%;
    }

    .pomohli-content h1 {
        font-size: 35px;
        text-align: center;
    }

    .pomohli-content p {
        font-size: 16px;
        text-align: center;
    }


    .utulky-grid{
        grid-template-columns:1fr;
        gap:20px;
    }
    
    .stats-wrap{
        grid-template-columns:1fr 1fr;
        gap:20px;
    }

    .stat::after{
        display:none;
    }

    .third-section-pomohli-jsme-title {
        font-size: 20px;
    }

    .stats-wrap {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
    }
}